# Return ModSecurity domains' status

This function returns ModSecurity's™ status for a cPanel account's domains.

Important:

When you disable the WebServer role, the system disables this function.

Endpoint: GET /ModSecurity/list_domains
Version: 11.136.0.25
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_domains"

  - `module` (string)
    The name of the module called.
    Example: "ModSecurity"

  - `result` (object)

  - `result.data` (array)
    Example: [{"dependencies":["dallas.com"],"domain":"dallas.example.com","enabled":1,"searchhint":"dallas.com","type":"sub"},{"dependencies":["arkansas.com","kansas.com","nevada.com","newmexico.com","texas.com"],"domain":"example.com","enabled":1,"searchhint":"arkansas.com,kansas.com,nevada.com,newmexico.com,texas.com","type":"main"},{"dependencies":["galveston.com"],"domain":"galveston.example.com","enabled":1,"searchhint":"galveston.com","type":"sub"},{"dependencies":["houston.com"],"domain":"houston.example.com","enabled":0,"searchhint":"houston.com","type":"sub"},{"dependencies":["neworleans.com"],"domain":"neworleans.example.com","enabled":0,"searchhint":"neworleans.com","type":"sub"},{"dependencies":["sanantonio.com"],"domain":"sanantonio.example.com","enabled":0,"searchhint":"sanantonio.com","type":"sub"}]

  - `result.data.dependencies` (array)
    An array of domains that your changes to a selected domain affect.
    Example: ["arkansas.com","kansas.com","nevada.com","newmexico.com","texas.com"]

  - `result.data.domain` (string)
    The cPanel account's domain.
    Example: "example.com"

  - `result.data.enabled` (integer)
    Whether ModSecurity is enabled for the account.
* 1 - Enabled.
* 0 - Disabled.
    Enum: 0, 1

  - `result.data.searchhint` (string)
    A comma-separated list of domain-related search terms.
    Example: "arkansas.com,kansas.com,nevada.com,newmexico.com,texas.com"

  - `result.data.type` (string)
    The domain type.
* main - A main domain.
* sub - A subdomain.
    Enum: "main", "sub"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.modsec` (object)

  - `result.metadata.modsec.total_disabled` (integer)
    The total number of disabled entries.
    Example: 3

  - `result.metadata.modsec.total_enabled` (integer)
    The total number of enabled entries.
    Example: 3

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


